public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
Search results ordered by [date|relevance]  view[summary|nested|Atom feed]
thread overview below | download mbox.gz: |
* [gentoo-commits] repo/gentoo:master commit in: games-action/violetland/, games-action/violetland/files/
@ 2017-01-31  0:59 99% Austin English
  0 siblings, 0 replies; 1+ results
From: Austin English @ 2017-01-31  0:59 UTC (permalink / raw
  To: gentoo-commits

commit:     b88f1938637ed30a9c7e28e68e77b0b529ea04c4
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 31 00:31:33 2017 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Tue Jan 31 00:59:22 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b88f1938

games-action/violetland: remove deprecated games eclass

Also update to EAPI 6

Gentoo-Bug: https://bugs.gentoo.org/574082

Package-Manager: Portage-2.3.2, Repoman-2.3.1

 .../files/violetland-0.4.3-boost150.patch          |  8 +--
 games-action/violetland/violetland-0.4.3-r1.ebuild | 57 ++++++++++++++++++++++
 2 files changed, 61 insertions(+), 4 deletions(-)

diff --git a/games-action/violetland/files/violetland-0.4.3-boost150.patch b/games-action/violetland/files/violetland-0.4.3-boost150.patch
index 4e700ca..5ddd5e8 100644
--- a/games-action/violetland/files/violetland-0.4.3-boost150.patch
+++ b/games-action/violetland/files/violetland-0.4.3-boost150.patch
@@ -1,5 +1,5 @@
---- CMakeLists.txt.old	2012-11-05 15:19:11.501044743 +0100
-+++ CMakeLists.txt	2012-11-05 15:19:25.415250207 +0100
+--- a/CMakeLists.txt	2012-11-05 15:19:11.501044743 +0100
++++ b/CMakeLists.txt	2012-11-05 15:19:25.415250207 +0100
 @@ -8,7 +8,6 @@
  find_package(SDL_mixer REQUIRED)
  find_package(OpenGL REQUIRED)
@@ -8,8 +8,8 @@
  
  if(${MINGW})
  	set(INTL_LIBRARY intl)
---- src/system/utility/FileUtility.cpp.old	2012-11-05 21:26:07.865488297 +0100
-+++ src/system/utility/FileUtility.cpp	2012-11-05 21:30:44.881208230 +0100
+--- a/src/system/utility/FileUtility.cpp	2012-11-05 21:26:07.865488297 +0100
++++ b/src/system/utility/FileUtility.cpp	2012-11-05 21:30:44.881208230 +0100
 @@ -20,7 +20,7 @@
  
  	while (dir_it != boost::filesystem::directory_iterator()) {

diff --git a/games-action/violetland/violetland-0.4.3-r1.ebuild b/games-action/violetland/violetland-0.4.3-r1.ebuild
new file mode 100644
index 00000000..a3b711a
--- /dev/null
+++ b/games-action/violetland/violetland-0.4.3-r1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils multilib toolchain-funcs flag-o-matic cmake-utils
+
+DESCRIPTION="Help a girl named Violet in the struggle with hordes of monsters"
+HOMEPAGE="https://code.google.com/p/violetland/"
+SRC_URI="https://github.com/ooxi/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3 CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+	dev-libs/boost[threads(+)]
+	media-libs/libsdl[sound,video]
+	media-libs/sdl-image[png]
+	media-libs/sdl-mixer[vorbis]
+	media-libs/sdl-ttf
+	virtual/glu
+	virtual/opengl"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+	"${FILESDIR}"/${P}-boost150.patch
+)
+
+src_prepare() {
+	default
+
+	sed -i \
+		-e "/README_EN.TXT/d" \
+		-e "/README_RU.TXT/d" \
+		CMakeLists.txt || die "sed failed"
+}
+
+src_configure() {
+	mycmakeargs=(
+		"-DCMAKE_INSTALL_PREFIX=/usr"
+		"-DDATA_INSTALL_DIR=/usr/share/${PN}"
+		)
+	cmake-utils_src_configure
+}
+
+src_compile() {
+	cmake-utils_src_compile
+}
+
+src_install() {
+	DOCS="README_EN.TXT CHANGELOG" cmake-utils_src_install
+	newicon icon-light.png ${PN}.png
+	make_desktop_entry ${PN} VioletLand
+}


^ permalink raw reply related	[relevance 99%]

Results 1-1 of 1 | reverse | options above
-- pct% links below jump to the message on this page, permalinks otherwise --
2017-01-31  0:59 99% [gentoo-commits] repo/gentoo:master commit in: games-action/violetland/, games-action/violetland/files/ Austin English

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox